local assets =
{
    Asset("ANIM", "anim/ximibi.zip"),
	Asset("ATLAS", "images/inventoryimages/ximibi.xml"),
}

local function fn()
    local inst = CreateEntity()

    inst.entity:AddTransform()
    inst.entity:AddAnimState()
    inst.entity:AddNetwork()

    MakeInventoryPhysics(inst)

    inst.AnimState:SetBank("ximibi")
    inst.AnimState:SetBuild("ximibi")
    inst.AnimState:PlayAnimation("idle")

    inst.entity:SetPristine()

    if not TheWorld.ismastersim then
        return inst
    end

	inst:AddTag("cattoy")

    inst:AddComponent("inspectable")
	inst:AddComponent("tradable")

	inst:AddComponent("named")
	inst.components.named:SetName("西米翅膀\n给予西米系列武器升级")
	
	
    inst:AddComponent("inventoryitem")
	inst.components.inventoryitem.atlasname = "images/inventoryimages/ximibi.xml"
	
	
    inst:AddComponent("stackable")
	inst.components.stackable.maxsize = TUNING.STACK_SIZE_SMALLITEM
	
	MakeHauntableLaunch(inst)

    return inst
end

return Prefab("common/inventory/ximibi", fn, assets)
